.menu-body {
    background-color: var(--bg-dark);
    color: var(--text-primary);
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    height: 100vh;
    width: 100%;
    margin: 0px;
    overflow-y: hidden;
    font-family: Georgia, "Times New Roman", serif;
}

.API-key {
    width: 100%;
    margin-bottom: 0.1rem;
    padding-top: .5rem;
    margin-top: 2rem;
    position: relative;
    flex-direction: column;
    align-items: center;
    justify-content: space-between;
    color: var(--text-primary);
    background-color: var(--bg-dark);

    div.center {
        width: calc(100% - 4rem);
        display: flex;
        flex-grow: 1;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        padding-bottom: 0.5rem;
    }
}

h1 {
    font-size: 4rem;
    margin: 0;
}

p {
    font-size: 1.5rem;
    margin: 0;
    font-style: italic;
}

.main-menu {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    /* border: 5px solid var(--accent-gold); */
    background-color: var(--bg-mid);
    padding: 2rem;
    padding-top: 3rem;
    margin: 1rem 0;
    width: fit-content;
    max-width: 100vw;
    box-sizing: border-box;
}

nav.profile-select {
    display: flex;
    flex-direction: column;
    flex-grow: 1;
}

.dropdown {
    width: 40vw;
    height: 10vw;
    margin-bottom: 0.1rem;
    padding-top: 0.5rem;
    display: none;
    position: relative;
    flex-direction: column;
    align-items: center;
    justify-content: space-between;
    color: var(--text-secondary);
    background-color: var(--bg-light);

    div.center {
        width: calc(100% - 4rem);
        display: flex;
        flex-grow: 1;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        padding-bottom: 0.5rem;
    }

    span {
        display: flex;
        flex-direction: row;
        justify-content: space-between;
        width: 80%;
    }

    div.end {
        display: flex;
        flex-direction: column;
        height: fit-content;
        justify-content: space-evenly;
        width: 100%;
        margin: 0;
        margin-top: 1rem;
    }
}

.dd-button {
    color: var(--text-primary);
    height: calc(1rem);
    margin: 0;
    font-size: 1.5rem;
    line-height: 1;
    border: none;
    outline: none;
    box-shadow: none;
    width: 100%;
    height: 2rem;
}

.dd-button:hover {
    box-shadow: inset -5rem 0 10rem -5rem var(--accent-gold),
        inset 5rem 0 10rem -5rem var(--accent-gold);
}

.dd-button:active {
    box-shadow: none;
    background-color: var(--bg-dark) !important;
}

label {
    margin: 0;
    font-weight: bold;
    text-align: center;
    font-size: 1.5rem;
}

input[type=text] {
    padding: 1rem;
    width: 80%;
    text-align: center;
    margin: 0.5rem 0;
    font-size: 1.2em;
    display: inline-block;
    border: 1px solid var(--bg-dark);
    border-radius: 1rem;
}

.dd-button.delete-profile {
    background-color: var(--color-attack);
}

.dd-button:not(.delete-profile) {
    background-color: var(--color-health);
    /* font-weight: 850; */
}

.dd-button:disabled {
    filter: grayscale(100%);
}

.profile-select-button {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    color: var(--text-primary);
    background-color: var(--bg-dark);
    width: 40vw;
    height: 6vw;
    font-weight: bold;
    font-size: 3rem;
    line-height: 1;
    margin-top: 2rem;
    overflow: visible;
    border: none;
    outline: none;
    box-shadow: none;
}

.profile-select-button:hover {
    background-color: var(--bg-light);
}

.profile-select-button:active {
    background-color: var(--bg-light);
    box-shadow: inset -40px 0 20px -40px var(--accent-gold),
        inset 40px 0 20px -40px var(--accent-gold);
}

.decorative-header {
    display: none;
    width: 44vw;
    height: auto;
    margin: 0;
}

#dec-header {
    margin-bottom: -2%;
    z-index: 1;
}

#dec-footer {
    transform: rotate(180deg);
    margin-top: -2%;
    z-index: 1;
}

.checkbox-container {
    display: block;
    position: relative;
    padding-right: 2em;
    margin-bottom: 0.2rem;
    margin-top: 0.2rem;
    cursor: pointer;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    font-size: 1.5rem;
}

.checkbox-container input {
    position: absolute;
    opacity: 0;
    cursor: pointer;
    height: 0;
    width: 0;
}
.checkmark {
    position: absolute;
    top: 0;
    right: 0;
    height: 1em;
    max-width: 1em;
    background-color: var(--text-primary);
}
.checkbox-container:hover input~.checkmark {
    background-color: var(--text-primary);
}
.checkbox-container input:checked~.checkmark {
    background-color: var(--color-health);
}
.checkmark:after {
    content: "";
    position: absolute;
    display: none;
}
.checkbox-container input:checked~.checkmark:after {
    display: block;
}
.checkbox-container .checkmark:after {
    left: 0.3em;
    top: -0.15em;
    width: 0.4em;
    height: 0.8em;
    border: solid var(--text-primary);
    border-width: 0 0.2em 0.2em 0;
    -webkit-transform: rotate(45deg);
    -ms-transform: rotate(45deg);
    transform: rotate(45deg);
}

@media screen and (max-width: 768px) {
    .profile-select-button {
        width: calc(100vw - 4rem);
        height: calc((100vh - 17.5rem) / 5);
        margin: 0;
        margin-top: 1rem;
        font-size: 4rem;
        /* font-weight: bold; */
    }

    .dropdown, .API-key {
        width: calc(100vw - 4rem);
        /* height: 30vw; */
        height: calc(2 * (100vh - 17.5rem) / 5);

        .dd-button {
            height: 20%;
            font-size: 2.5em;
            font-weight: bold;
        }

        div.center {
            width: calc(100% - 4rem);

            span {
                width: 100%;
            }

            p {
                font-size: 2.5rem;
            }

            #cards {
                width: 100%;
            }

            line-height: 1.5;

            input[type=text] {
                font-size: 3rem;
                width: 100%;
            }
            #API-key-1 {
                justify-content: center;
                width: fit-content;
            }
        }

        div.end {
            height: 40%;

            .dd-button {
                flex-grow: 1;
            }
        }
    }

    label {
        font-size: 3rem;
        line-height: 1;
    }

    /* input[type=checkbox] {
        height: 3rem;
    } */
    .checkbox-container {
        padding-right: 5rem;
        margin-top: 1rem;
        margin-bottom: 2rem;
        font-size: 3rem;
    }

    .checkmark {
        height: 3rem;
        max-width: 3rem;
    }
    .checkbox-container .checkmark:after {
        left: 1rem;
        top: -0.1rem;
        width: 1rem;
        height: 2rem;
        border-width: 0 0.5rem 0.5rem 0;
    }

    form.dropdown div.center {
        justify-content: start;
        padding-top: 1.5rem;
    }

    h1 {
        font-size: 6rem;
    }

    p {
        font-size: 2rem;
    }

    .main-menu {
        padding: 1rem;
        width: calc(100% - 2rem);
        height: calc(100% - 2rem);
        /* height: fit-content; */
        margin: 0;
    }

    .decorative-header {
        display: block;
        width: calc(100vw - 2rem);
    }

    #dec-header {
        margin-bottom: -3%;
    }
}
